package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 厂房信息对象 sys_facility
 *
 * @author liangwen
 * @date 2024-07-11
 */
public class SysFacility extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 厂房ID */
    private Long facilityId;

    /** 父ID */
    @Excel(name = "父ID")
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 厂房名称 */
    @Excel(name = "厂房名称")
    private String facilityName;

    /** 厂房位置 */
    @Excel(name = "厂房位置")
    private String facilityLocation;

    /** 厂房面积 */
    @Excel(name = "厂房面积")
    private Double facilityArea;

    /** 厂房状态 */
    @Excel(name = "厂房状态")
    private String status;

    /** 删除标志 */
    private String delFlag;

    /** 子厂房 */
    private List<SysFacility> children = new ArrayList<SysFacility>();

    public Long getFacilityId() {
        return facilityId;
    }

    public void setFacilityId(Long facilityId) {
        this.facilityId = facilityId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public String getFacilityLocation() {
        return facilityLocation;
    }

    public void setFacilityLocation(String facilityLocation) {
        this.facilityLocation = facilityLocation;
    }

    public Double getFacilityArea() {
        return facilityArea;
    }

    public void setFacilityArea(Double facilityArea) {
        this.facilityArea = facilityArea;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public List<SysFacility> getChildren() {
        return children;
    }

    public void setChildren(List<SysFacility> children) {
        this.children = children;
    }
}
